Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxMetaMapBuilder

    java.lang.Object
      groovy.jmx.builder.JmxMetaMapBuilder

    class JmxMetaMapBuilder
    extends Object

The JmxMetaMapBuilder class is used to collect meta data passed in JmxBuilder nodes. Once collected, the data is then normalized to be represented uniformly regardless of the resource where it was obtained.

author:
  Vladimir Vivien

Constructor Summary
`JmxMetaMapBuilder()`

Method Summary
`static Map` | `buildAttributeMapFrom(def object)` Builds attribute meta map with default information from an instance of an object.
`static Map` | `buildAttributeMapFrom(def object, def descCollection)` Sanitizes and builds an attribute meta map from a descriptor collection.
`static Map` | `buildConstructorMapFrom(def object)` Returns a meta map of constructors from given object.
`static Map` | `buildConstructorMapFrom(def object, def descCollection)` Builds a fully normalized constructor meta map.
`static def` | `buildListenerMapFrom(def descCollection)` Creates a fully-normalized meta map for agiven collection of listeners.
`static Map` | `buildObjectMapFrom(def object)` Builds a complete meta map graph for the specified object using default values.
`static Map` | `buildObjectMapFrom(def object, def descriptor)` Builds a complete meta map graph for a given target and descriptor.
`static Map` | `buildOperationMapFrom(def object)` Returns a meta map of operations from given object.
`static Map` | `buildOperationMapFrom(def object, def descCollection)`
`static Map` | `buildParameterMapFrom(def method)` Builds a normalized parameter meta map for all params on provided method.
`static Map` | `buildParameterMapFrom(def method, def descCollection)` Builds a fully normalized parameter meta map for the method and the given meta map.
`static Map` | `createListenerMap(def descriptor)` Builds normalized meta map of the provided listener descriptor.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxMetaMapBuilder

    JmxMetaMapBuilder()

Method Detail

### buildAttributeMapFrom

    public static Map buildAttributeMapFrom(def object)

  Builds attribute meta map with default information from an instance of an object.
  param:
    the object from which attribute info will be retrieved
  return:
    the meta map for the attribute

### buildAttributeMapFrom

    public static Map buildAttributeMapFrom(def object, def descCollection)

  Sanitizes and builds an attribute meta map from a descriptor collection. The collection can either be a map of the form [attribName:[descriptor...],...] or [attribName1,...attribNameN]. The code guests sensible defaults when values are not provided
  param:
    the object about which meta data is collected
  param:
    descriptor collection: either a map or a list
  return:
    a Map of meta information about the object.

### buildConstructorMapFrom

    public static Map buildConstructorMapFrom(def object)

  Returns a meta map of constructors from given object.
  param:
    object to profile
  return:
    The meta map generated.

### buildConstructorMapFrom

    public static Map buildConstructorMapFrom(def object, def descCollection)

  Builds a fully normalized constructor meta map.
  param:
    the object where constructor is defined.
  param:
    the meta map that will be normalized
  return:
    a normalized meta map for the constructor

### buildListenerMapFrom

    public static def buildListenerMapFrom(def descCollection)

  Creates a fully-normalized meta map for agiven collection of listeners.
  param:
    - collection of descriptors to normalize
  see:
    JmxMetaMapBuilder#createListenerMap(Object)

### buildObjectMapFrom

    public static Map buildObjectMapFrom(def object)

  Builds a complete meta map graph for the specified object using default values. All generated attributes are set to read-only.
  param:
    object used to build meta data graph
  return:
    fully-realized meta map of the object
  see:
    #buildAttributeMapFrom(Object)
  see:
    #buildConstructorMapFrom(Object)
  see:
    #buildOperationMapFrom(Object)

### buildObjectMapFrom

    public static Map buildObjectMapFrom(def object, def descriptor)

  Builds a complete meta map graph for a given target and descriptor.
  param:
    object used to build meta data graph
  param:
    descriptor a full descriptor map describing object attributes and ops.
  return:
    fully-realized meta map of the object
  see:
    #buildAttributeMapFrom(Object, Map)
  see:
    #buildConstructorMapFrom(Object, Map)
  see:
    #buildOperationMapFrom(Object, Map)

### buildOperationMapFrom

    public static Map buildOperationMapFrom(def object)

  Returns a meta map of operations from given object.
  param:
    object to profile
  return:
    The meta map generated.

### buildOperationMapFrom

    public static Map buildOperationMapFrom(def object, def descCollection)

### buildParameterMapFrom

    public static Map buildParameterMapFrom(def method)

  Builds a normalized parameter meta map for all params on provided method.
  param:
    the method with parameters to normalized
  return:
    the normalized map

### buildParameterMapFrom

    public static Map buildParameterMapFrom(def method, def descCollection)

  Builds a fully normalized parameter meta map for the method and the given meta map.
  param:
    the method from which to extract normalized info.
  param:
    a given meta map which will be normalized
  return:
    the normalized map

### createListenerMap

    public static Map createListenerMap(def descriptor)

  Builds normalized meta map of the provided listener descriptor.
  param:
    descriptor - descriptive data collected from JmxBuilder listener nodes.
  return:
    - fully normalized meta map of listener data.

Copyright © 2003-2009 The Codehaus. All rights reserved.